Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common.plugin
Class HelpSetInfo

    java.lang.Object
      |
      +--com.bea.wlpi.common.plugin.InfoObject
            |
            +--com.bea.wlpi.common.plugin.HelpSetInfo

public final class HelpSetInfo
extends InfoObject

Provides information about the context sensitive online help provided by a plugin. Plugins can support HTML and/or JavaHelp based help systems. Both types of help must be packaged in a .war file, and deployed as part of the WebLogic Process Integrator server (or cluster) application (named `"WLPI Application"` in the delivered `config.xml` file). The .war file must be deployed under the name of the plugin to which it relates, in order for WebLogic Process Integrator client applications to retrieve the help resource files correctly. Client applications can use the PluginManager's `ClassLoader` (or that of any of the EJBs in the `"WLPI Application"`, come to that) to determine the URL of the server. Using the values supplied in a plugin's HelpSetInfo, a client application can then synthesize a full URL to access the help files through HTTP or HTTPS.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`static int` | `KEY_HELP_ID` Key value to retrieve the JavaHelp help key or HTML filename for the main index page or table of contents.
`static int` | `KEY_HELP_SET` Key value to retrieve the .hs help set file name or HTML help base directory.

Fields inherited from class com.bea.wlpi.common.plugin.InfoObject
`classNames, description, ID, name, pluginName`

Constructor Summary
`HelpSetInfo(java.lang.String pluginName, java.lang.String name, java.lang.String description, java.lang.String[] helpNames, int helpType)` Create a new `HelpSetInfo`.

Method Summary
`int` | `getHelpType()` Return the type of online help provided by this plugin: `PluginConstants.HELP_JAVA_HELP` or `PluginConstants.HELP_HTML`.

Methods inherited from class com.bea.wlpi.common.plugin.InfoObject
`compareTo, equals, getClassName, getDescription, getID, getName, getPluginName, imageStreamToByteArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KEY_HELP_SET

    public static final int KEY_HELP_SET

  Key value to retrieve the .hs help set file name or HTML help base directory.

### KEY_HELP_ID

    public static final int KEY_HELP_ID

  Key value to retrieve the JavaHelp help key or HTML filename for the main index page or table of contents.

Constructor Detail

### HelpSetInfo

    public HelpSetInfo(java.lang.String pluginName,
                       java.lang.String name,
                       java.lang.String description,
                       java.lang.String[] helpNames,
                       int helpType)

  Create a new `HelpSetInfo`.

  Parameters:
    `pluginName` - The reverse-DNS name of the plugin supplying this online help set. It is also the name of the web application under which the .war file must be deployed, in order for client applications to form the correct URL for the help set.
    `name` - The localized name of this HelpSetInfo. This string is used in user interface menus to access the help in a non-context sensitive fashion.
    `description` - The localized description of this online help set.
    `helpNames` - A two-element array to identify plugin-supplied help files. The array contains one entry for each of the `KEY_*` values listed above. The value for each entry is interpreted according to the value of the `helpType` parameter:

    help type | KEY_HELP_SET | KEY_HELP_ID
    --- | --- | ---
    `HELP_JAVA_HELP` | The name of the JavaHelp HelpSet file, relative to the root of the .war file containing the help files (e.g., `"javahelp/MyPluginHelpSet.hs"`. If this does not include a file extension, JavaHelp automatically appends `".hs"`. | The JavaHelp help key for the introductory screen or table of contents.
    `HELP_HTML` | The name of the root directory of the help files, which must include a trailing slash (e.g., `"htmlhelp/"`). | The name (less the `.htm` extension) of the HTML file containing the introductory screen or table of contents, relative to the directory specified by the `KEY_HELP_SET` entry. The HTML help file must have an extension of `.htm`.

    `helpType` - The types of help provided by this plugin: `PluginConstants.HELP_JAVA_HELP` or `PluginConstants.HELP_HTML`.

Method Detail

### getHelpType

    public int getHelpType()

  Return the type of online help provided by this plugin: `PluginConstants.HELP_JAVA_HELP` or `PluginConstants.HELP_HTML`.

  Returns:
    The help type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)